lib

# Class: MatchingRule

Source Location: /lib/schema.inc

### Class Overview

    SchemaItem
       |
       --MatchingRule

Represents an LDAP MatchingRule

### Variables

- $is_obsolete
- $name
- $syntax
- $used_by_attrs

### Methods

- MatchingRule
- addUsedByAttr
- getIsObsolete
- getName
- getUsedByAttrs
- initVars
- setUsedByAttrs

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$oid

### Inherited Methods

#### Class: SchemaItem

SchemaItem::SchemaItem()
  Default constructor.
SchemaItem::getDescription()
SchemaItem::getOID()
SchemaItem::initVars()
  Initialize class members to default values.
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 1019]
Represents an LDAP MatchingRule
[ Top ]

### Class Variables

#### $is_obsolete =

[line 1026]

Boolean value indicating whether this MatchingRule is obsolete

Type: | mixed

[ Top ]

#### $name =

[line 1022]

This rule's name

Type: | mixed

[ Top ]

#### $syntax =

[line 1024]

This rule's syntax OID

Type: | mixed

[ Top ]

#### $used_by_attrs =

[line 1028]

An array of attribute names who use this MatchingRule

Type: | mixed

[ Top ]

### Class Methods

### constructor MatchingRule [line 1045]

`MatchingRule MatchingRule( $raw_ldap_matching_rule_string)`

Creates a new MatchingRule object from a raw LDAP MatchingRule string.

#### Parameters:

| $raw_ldap_matching_rule_string |

[ Top ]

### method addUsedByAttr [line 1115]

`true addUsedByAttr( $new_attr_name)`

Adds an attribute name to the list of attributes who use this MatchingRule

#### Tags:

return: | if the attribute was added and false otherwise (already in the list)

#### Parameters:

| $new_attr_name |

[ Top ]

### method getIsObsolete [line 1137]

`bool getIsObsolete( )`

Gets whether this MatchingRule is flagged as obsolete by the LDAP server.

#### Tags:

return: | True if this MatchingRule is obsolete and false otherwise.

[ Top ]

### method getName [line 1128]

`string getName( )`

Gets this MatchingRule's name.

#### Tags:

return: | The name.

[ Top ]

### method getUsedByAttrs [line 1146]

`array getUsedByAttrs( )`

Gets an array of attribute names (strings) which use this MatchingRule

#### Tags:

return: | The array of attribute names (strings).

[ Top ]

### method initVars [line 1031]

`void initVars( )`

Initialize the class' member variables
Overrides SchemaItem::initVars() (Initialize class members to default values.)
[ Top ]

### method setUsedByAttrs [line 1106]

`void setUsedByAttrs( array $attrs)`

Sets the list of used_by_attrs to the array specified by $attrs;

#### Parameters:

array | $attrs | The array of attribute names (strings) which use this MatchingRule

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:07 +0200 by phpDocumentor 1.4.1